#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		relname		lsb_release
%define		lfsnum		%(echo $LFSNUM)
#-----------------------------------------------------------------------------
Name		:	lsb-release
Version		:	1.4
Release		:	14.4.0.0%{?dist}
Summary		:	Linux Standards Base (LSB) status of the distribution

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://downloads.sourceforge.net/lsb
Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	sed
BuildRequires	:	help2man

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The lsb_release script gives information about the
Linux Standards Base (LSB) status of the distribution. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_sysconfdir}/%{name}
%{_bindir}/%{relname}
%{_mandir}/man1/%{relname}.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
  -e "s|n/a|unavailable|"				\
  %{relname}

cat > %{name}  <<"EOF"
DISTRIB_ID="OSUKISS"
DISTRIB_RELEASE="%{lfsnum}"
DISTRIB_CODENAME="HELIOS"
DISTRIB_DESCRIPTION="Distribution Osukiss (LFS production distribution)"
#Osukiss distribution current version
LSB_VERSION="14.4.0.0"
EOF

./help2man						\
	-N --include					\
	./%{relname}.examples				\
	--alt_version_key=program_version		\
	./%{relname} > %{relname}.1

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__mkdir_p} %{buildroot}%{_bindir}

install -m 644 %{name} %{buildroot}%{_sysconfdir}
install -m 644 %{relname}.1 %{buildroot}%{_mandir}/man1
install -m 755 %{relname}   %{buildroot}%{_bindir}


#-----------------------------------------------------------------------------
%changelog
